# /home/coin/svn-release/Blis-0.94.1/CoinUtils/src/CoinIndexedVector.hpp File Reference

`#include <map>`
`#include "CoinFinite.hpp"`
`#include "CoinPackedVectorBase.hpp"`
`#include "CoinSort.hpp"`
`#include "CoinHelperFunctions.hpp"`
`#include <cassert>`
Include dependency graph for CoinIndexedVector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CoinIndexedVector
| Indexed Vector. More...
class | CoinArrayWithLength
| Pointer with length in bytes. More...
class | CoinDoubleArrayWithLength
| double * version More...
class | CoinFactorizationDoubleArrayWithLength
| CoinFactorizationDouble * version. More...
class | CoinFactorizationLongDoubleArrayWithLength
| CoinFactorizationLongDouble * version. More...
class | CoinIntArrayWithLength
| int * version More...
class | CoinBigIndexArrayWithLength
| CoinBigIndex * version. More...
class | CoinUnsignedIntArrayWithLength
| unsigned int * version More...
class | CoinVoidStarArrayWithLength
| void * version More...
class | CoinArbitraryArrayWithLength
| arbitrary version More...
class | CoinPartitionedVector
## Defines
#define | COIN_INDEXED_TINY_ELEMENT 1.0e-50
#define | COIN_INDEXED_REALLY_TINY_ELEMENT 1.0e-100
#define | COIN_PARTITIONS 8
## Functions
void | CoinIndexedVectorUnitTest ()
| A function that tests the methods in the CoinIndexedVector class.

## Define Documentation

#define COIN_INDEXED_TINY_ELEMENT 1.0e-50

Definition at line 24 of file CoinIndexedVector.hpp.

#define COIN_INDEXED_REALLY_TINY_ELEMENT 1.0e-100

Definition at line 25 of file CoinIndexedVector.hpp.

#define COIN_PARTITIONS 8

Definition at line 1061 of file CoinIndexedVector.hpp.

## Function Documentation

void CoinIndexedVectorUnitTest | ( |  | ) |

A function that tests the methods in the CoinIndexedVector class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.